OpenTTD Source: TCPQueryConnecter Class Reference

OpenTTD Source 15.0-RC2

Public Member Functions | Private Attributes
TCPQueryConnecter Class Reference

Non blocking connection to query servers for their game info. More...

Inheritance diagram for TCPQueryConnecter:

## Public Member Functions
| TCPQueryConnecter (std::string_view connection_string)
void | OnFailure () override
| Callback for when the connection attempt failed.
void | OnConnect (SOCKET s) override
| Callback when the connection succeeded.
Public Member Functions inherited from TCPServerConnecter
| TCPServerConnecter (std::string_view connection_string, uint16_t default_port)
| Create a new connecter for the server.
void | SetConnected (SOCKET sock)
| The connection was successfully established.
void | SetFailure ()
| The connection couldn't be established.
Public Member Functions inherited from TCPConnecter
| TCPConnecter (std::string_view connection_string, uint16_t default_port, const NetworkAddress &bind_address={}, int family=AF_UNSPEC)
| Create a new connecter for the given address.
void | Kill ()
| Kill this connecter.

## Private Attributes
std::string | connection_string

## Additional Inherited Members
Static Public Member Functions inherited from TCPConnecter
static void | CheckCallbacks ()
| Check whether we need to call the callback, i.e.
static void | KillAll ()
| Kill all connection attempts.
template<class T , typename... Args>
static std::shared_ptr< TCPConnecter > | Create (Args &&... args)
| Create the connecter, and initiate connecting by putting it in the collection of TCP connections to make.
Data Fields inherited from TCPServerConnecter
ServerAddress | server_address
| Address we are connecting to.

## Detailed Description

Non blocking connection to query servers for their game info.

Definition at line 640 of file network.cpp.

## Constructor & Destructor Documentation

## ◆ TCPQueryConnecter()

TCPQueryConnecter::TCPQueryConnecter | ( | std::string_view | connection_string | ) |
| inline

Definition at line 645 of file network.cpp.

## Member Function Documentation

## ◆ OnConnect()

void TCPQueryConnecter::OnConnect | ( | SOCKET | s | ) |
| inlineoverridevirtual

Callback when the connection succeeded.

Parameters

  s | the socket that we opened

Reimplemented from TCPConnecter.

Definition at line 658 of file network.cpp.

References Debug, and QueryNetworkGameSocketHandler::QueryServer().

## ◆ OnFailure()

void TCPQueryConnecter::OnFailure | ( |  | ) |
| inlineoverridevirtual

Callback for when the connection attempt failed.

Reimplemented from TCPConnecter.

Definition at line 647 of file network.cpp.

References Debug, NetworkGameListAddItem(), NGLS_OFFLINE, NetworkGame::refreshing, NetworkGame::status, and UpdateNetworkGameWindow().

## Field Documentation

## ◆ connection_string

std::string TCPQueryConnecter::connection_string
| private

Definition at line 642 of file network.cpp.

The documentation for this class was generated from the following file:

- src/network/network.cpp